import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconSpinnerDots = (props: IconProps) => {
    return <Icon id="IconSpinnerDots" {...props}>
        <path d="M8 4C7.30964 4 6.75 3.44036 6.75 2.75C6.75 2.05964 7.30964 1.5 8 1.5C8.69036 1.5 9.25 2.05964 9.25 2.75C9.25 3.44036 8.69036 4 8 4Z" />
        <path d="M4.90641 5.15641C4.46707 5.59575 3.75476 5.59575 3.31542 5.15641C2.87608 4.71707 2.87608 4.00476 3.31542 3.56542C3.75476 3.12608 4.46707 3.12608 4.90641 3.56542C5.34575 4.00476 5.34575 4.71707 4.90641 5.15641Z" />
        <path d="M2.5 9.25C3.05229 9.25 3.5 8.80228 3.5 8.25C3.5 7.69772 3.05229 7.25 2.5 7.25C1.94771 7.25 1.5 7.69772 1.5 8.25C1.5 8.80228 1.94771 9.25 2.5 9.25Z" />
        <path d="M4.72964 11.5204C5.07135 11.8621 5.07135 12.4161 4.72964 12.7578C4.38794 13.0995 3.83392 13.0995 3.49221 12.7578C3.1505 12.4161 3.1505 11.8621 3.49221 11.5204C3.83392 11.1787 4.38794 11.1787 4.72964 11.5204Z" />
        <path d="M8.75 13.75C8.75 13.3358 8.41421 13 8 13C7.58579 13 7.25 13.3358 7.25 13.75C7.25 14.1642 7.58579 14.5 8 14.5C8.41421 14.5 8.75 14.1642 8.75 13.75Z" />
        <path d="M11.4471 11.6972C11.6912 11.4531 12.0869 11.4531 12.331 11.6972C12.5751 11.9412 12.5751 12.337 12.331 12.581C12.0869 12.8251 11.6912 12.8251 11.4471 12.581C11.2031 12.337 11.2031 11.9412 11.4471 11.6972Z" />
        <path d="M13.5 7.75C13.2239 7.75 13 7.97386 13 8.25C13 8.52614 13.2239 8.75 13.5 8.75C13.7761 8.75 14 8.52614 14 8.25C14 7.97386 13.7761 7.75 13.5 7.75Z" />
        <path d="M11.6239 4.62608C11.4775 4.47963 11.4775 4.2422 11.6239 4.09575C11.7704 3.9493 12.0078 3.9493 12.1543 4.09575C12.3007 4.2422 12.3007 4.47963 12.1543 4.62608C12.0078 4.77253 11.7704 4.77253 11.6239 4.62608Z" />
    </Icon>;
};

export default IconSpinnerDots;
